DMA_BUF_MAP_ATTACHME(9)

NAME
dma_buf_map_attachment - Returns the scatterlist table of the attachment; mapped into _device_ address space. Is a wrapper for map_dma_buf of the dma_buf_ops.

SYNOPSIS

struct sg_table * dma_buf_map_attachment(struct dma_buf_attachment * attach, enum dma_data_direction direction);

ARGUMENTS

attach
    [in] attachment whose scatterlist is to be returned

direction
    [in] direction of DMA transfer

DESCRIPTION

Returns sg_table containing the scatterlist to be returned; returns ERR_PTR on error.

COPYRIGHT